Subject: Re: [PATCH net 3/3] iavf: do not track VLAN 0 filters

From: Leon Romanovsky <[email-masked]>
Date: Sun, 19 Mar 2023 09:20:23 +0200

On Thu, Mar 16, 2023 at 01:59:24PM -0700, Jakub Kicinski wrote:
> On Thu, 16 Mar 2023 07:15:32 -0600 Ahmed Zaki wrote:
> > > I would expect similar check in iavf_vlan_rx_kill_vid(),
> >
> > Thanks for review. Next version will include the check in 
> > iavf_vlan_rx_kill_vid()
> 
> FWIW it is okay to ask more clarifying questions / push back
> a little. I had a quick look and calling iavf_vlan_rx_kill_vid()
> with vid of 0 does not seem harmful. Or any vid that was not added
> earlier. So it's down to personal preference. 

I would agree with you if they would bail immediately in case no vid is
found, however it is not the case. They continue to perform function
execution in any case, which is harmless now, but prone to errors in the
future.

Thanks